Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class RequestRecordLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.RequestRecordLog

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RequestRecordLog extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestRecordLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRecordAction(RecordAction recordAction)`
  `Set<RecordAction>`
  `getActions()`
  `int`
  `getAllActionsCount()`
  `Date`
  `getEndRecordingTime()`
  `Date`
  `getStartRecordingTime()`
  `int`
  `getUserId()`
  `RequestRecordLog`
  `setActions(Set<RecordAction> actions)`
  `RequestRecordLog`
  `setAllActionsCount(int allActionsCount)`
  `RequestRecordLog`
  `setEndRecordingTime(Date endRecordingTime)`
  `RequestRecordLog`
  `setId(int id)`
  Устанавливает id объекта
  `RequestRecordLog`
  `setStartRecordingTime(Date startRecordingTime)`
  `RequestRecordLog`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `RequestRecordLog`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RequestRecordLog

    public RequestRecordLog()

- ## Method Details

  - ### addRecordAction

    public void addRecordAction(RecordAction recordAction)

  - ### getActions

    public Set<RecordAction> getActions()

  - ### getAllActionsCount

    public int getAllActionsCount()

  - ### getEndRecordingTime

    public Date getEndRecordingTime()

  - ### getStartRecordingTime

    public Date getStartRecordingTime()

  - ### getUserId

    public int getUserId()

  - ### setActions

    public RequestRecordLog setActions(Set<RecordAction> actions)

  - ### setAllActionsCount

    public RequestRecordLog setAllActionsCount(int allActionsCount)

  - ### setEndRecordingTime

    public RequestRecordLog setEndRecordingTime(Date endRecordingTime)

  - ### setId

    public RequestRecordLog setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setStartRecordingTime

    public RequestRecordLog setStartRecordingTime(Date startRecordingTime)

  - ### setTitle

    public RequestRecordLog setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUserId

    public RequestRecordLog setUserId(int userId)